IBM WebSphere Portal Web Content Viewer Portlet XSS (PM84525)

2014-04-07T00:00:00
ID WEBSPHERE_PORTAL_CVE-2013-0549.NASL
Type nessus
Reporter Tenable
Modified 2016-11-29T00:00:00

Description

The version of WebSphere Portal on the remote host is affected by a cross-site scripting vulnerability. An attacker can inject arbitrary code into a user's browser which is then executed.

                                        
                                            #
# (C) Tenable Network Security, Inc.
#

include("compat.inc");

if (description)
{
  script_id(73382);
  script_version("$Revision: 1.6 $");
  script_cvs_date("$Date: 2016/11/29 20:13:38 $");

  script_cve_id("CVE-2013-0549");
  script_bugtraq_id(60231);
  script_osvdb_id(93748);

  script_name(english:"IBM WebSphere Portal Web Content Viewer Portlet XSS (PM84525)");
  script_summary(english:"Checks for installed patches.");

  script_set_attribute(attribute:"synopsis", value:
"The remote Windows host has web portal software installed that is
affected by a cross-site scripting vulnerability.");
  script_set_attribute(attribute:"description", value:
"The version of WebSphere Portal on the remote host is affected by a
cross-site scripting vulnerability. An attacker can inject arbitrary
code into a user's browser which is then executed.");
  # https://www.ibm.com/blogs/psirt/security-bulletin-cross-site-scripting-vulnerability-in-web-content-viewer-portlet-of-websphere-portal-server-versions-7-0-0-x-and-8-0-0-x-cve-2013-0549/
  script_set_attribute(attribute:"see_also", value:"http://www.nessus.org/u?8806f7cc");
  script_set_attribute(attribute:"see_also", value:"https://www-304.ibm.com/support/docview.wss?uid=swg21638984");
  script_set_attribute(attribute:"solution", value:
"IBM has published Interim Fix PM84525. This fix is included in 7.0.0.2
CF22 and 8.0.0.x CF05. Refer to IBM's advisory for more information.");
  script_set_cvss_base_vector("CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N");
  script_set_cvss_temporal_vector("CVSS2#E:F/RL:OF/RC:C");
  script_set_cvss3_base_vector("CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:N/I:L/A:N");
  script_set_attribute(attribute:"exploitability_ease", value:"Exploits are available");
  script_set_attribute(attribute:"exploit_available", value:"true");
  script_cwe_id(20, 74, 79, 442, 629, 711, 712, 722, 725, 750, 751, 800, 801, 809, 811, 864, 900, 928, 931, 990);

  script_set_attribute(attribute:"vuln_publication_date", value:"2013/05/29");
  script_set_attribute(attribute:"patch_publication_date", value:"2013/05/29");
  script_set_attribute(attribute:"plugin_publication_date", value:"2014/04/07");

  script_set_attribute(attribute:"plugin_type", value:"local");
  script_set_attribute(attribute:"cpe", value:"cpe:/a:ibm:websphere_portal");
  script_end_attributes();

  script_category(ACT_GATHER_INFO);
  script_family(english:"CGI abuses : XSS");

  script_copyright(english:"This script is Copyright (C) 2014-2016 Tenable Network Security, Inc.");

  script_dependencies("websphere_portal_installed.nbin");
  script_require_keys("installed_sw/IBM WebSphere Portal");
  script_require_ports(139, 445);
  exit(0);
}

include("websphere_portal_version.inc");

portlets = make_array();

# Web Content Viewer Portlet - only check if installed
paa = "Web Content Viewer";
portlets[paa]["File"] = "\..\PortalServer\wcm\portlet.remoterendering\portlet.remoterendering\version\portlet.remoterendering_._portlet.remoterendering.component";
portlets[paa]["WP Ranges"] = make_list("7.0.0.0, 7.0.0.2", "8.0.0.0, 8.0.0.1");

websphere_portal_check_version(
  ranges:make_list(
    "7.0.0.0, 7.0.0.2, CF22",
    "8.0.0.0, 8.0.0.1, CF05"
  ),
  fix:"PM84525",
  portlets:portlets,
  req_vuln_portlets:make_list(paa),
  severity:SECURITY_WARNING,
  xss:TRUE
);